Bug 851443 - scala case class, Option field and mvel : unable to resolve method using strict-mode
scala case class, Option field and mvel : unable to resolve method using stri...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: BRMS 5.3.1 GA
Assigned To: Mario Fusco
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 04:23 EDT by Mario Fusco
Modified: 2013-10-10 20:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3579 Major Resolved scala case class, Option field and mvel : unable to resolve method using strict-mode 2017-11-13 20:33 EST

  None (edit)
Description Mario Fusco 2012-08-24 04:23:06 EDT

    
Comment 1 Radovan Synek 2012-09-18 11:06:12 EDT
The described problem persists:
address.get.town == "London" throws the same exception, but rewriting this part of the rule as follows, works:
address.get().town == "London"
Comment 2 Mario Fusco 2012-09-20 03:06:11 EDT
The problem was in mvel. I fixed it to work even with: address.get.town == "London"
Comment 3 JBoss JIRA Server 2012-09-20 03:06:50 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira JBRULES-3579 to Reopened
Comment 4 JBoss JIRA Server 2012-09-20 03:06:50 EDT
Mario Fusco <mario.fusco@gmail.com> made a comment on jira JBRULES-3579

The described problem persists:
address.get.town == "London" throws the same exception, but rewriting this part of the rule as follows, works:
address.get().town == "London"
Comment 5 JBoss JIRA Server 2012-09-20 03:07:13 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira JBRULES-3579 to Resolved
Comment 6 JBoss JIRA Server 2012-09-20 03:07:13 EDT
Mario Fusco <mario.fusco@gmail.com> made a comment on jira JBRULES-3579

The problem was in mvel. I fixed it to work even with: address.get.town == "London"
Comment 9 Radovan Synek 2012-10-05 09:31:47 EDT
Verified on BRMS-5.3.1.ER2

Note You need to log in before you can comment on or make changes to this bug.